Bug 214972 - Print dialog display bug
Print dialog display bug
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2006-11-10 07:01 EST by Tim Waugh
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-06 10:18:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
gtk+-2.10.4-collate.patch (933 bytes, patch)
2006-12-06 09:18 EST, Tim Waugh
no flags Details | Diff

  None (edit)
Description Tim Waugh 2006-11-10 07:01:03 EST
Description of problem:
In OpenOffice.org, adjusting the number of copies by typing in a number does not
allow me to adjust the 'Collate' checkbox until I focus on another widget.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Start oowriter
3.Alt-S to select the 'Copies' type-in
4.Type '5'

Actual results:
'Collate' checkbox remains insensitive.

Expected results:
'Collate' checkbox should become sensitive.
Comment 1 Tim Waugh 2006-11-10 12:11:42 EST
Actually it occurs to me that this is more likely an OpenOffice.org bug..
Comment 2 Caolan McNamara 2006-11-10 12:53:13 EST
Nah, evince is the other app using the new dialog, you can see it shares the
same behaviour (along with a max of 100 copies)
Comment 3 Matthias Clasen 2006-12-01 22:06:44 EST
This is an artifact of the way editable spin buttons work in gtk. 
The value is not actually changed until you press enter. Alternatively,
you can use up and down arrows to change the value.
Comment 4 Tim Waugh 2006-12-02 05:46:17 EST
Why can't the 'changed' signal be used?  Works fine here in a little test app.

Seriously, if I want 50 copies (or 500, or whatever), there's no way I'm going
to use the arrows instead of typing in the number just to work around this bug.
 And pressing enter?  How do I know it's not going to activate the 'Print'
button?  I don't, so that's no good either.
Comment 5 Tim Waugh 2006-12-06 09:18:01 EST
Created attachment 142952 [details]

This patch works fine here.
Comment 6 Matthias Clasen 2006-12-06 10:18:56 EST
I've committed a slightly different patch upstream.
I'll do a new release sometime and pull it in FC6/FC7 then.
Comment 7 Tim Waugh 2006-12-06 10:37:13 EST

Note You need to log in before you can comment on or make changes to this bug.